Subject: Re: Error routine
From: [email-masked]
To: [email-masked]
Date: Fri, 27 Sep 96 22:29:47 GMT

Hello,

>> There's command called On Error Proc YOUR_PROCEDURE
>> In this way every time you get an error, your procedure is executed.

 > Sorry, that wasn't exactly what I was looking for.
 > I'm planning to it inside an extension, that is in assembler.
 > Do you know a way to hook an asm routine to amos error routines, so that
 > everytime an amos error appears I could run a piece of my own 680x0

code?

Ops, sorry, I didn't realize it.
I don't know a way to put that routine in your own extension, but you could
think to add a asm procedure to your Amos prog and then use the On Error
Proc
command.

You can insert asm code in procedure using menu from AmosPro.

That's all I can tell you

Bye

    [email-masked]                    >>Bomb!2.0<<
  +--------------------------ON AMINET----------------------------+
  | game/think/VenusTris.lha         game/misc/SnailRace.lha      |
  | game/shoot/fantasy.lha           util/time/MReminder.lha      |
  | game/think/Atoms3.lha            util/misc/Dialer2.lha        |
  | game/think/navalbattle.lha       game/think/Manos.lha         |
  | game/shoot/in_the_target.lha     dev/lang/Logo1_4.lha         |
  |                                                               |
  +---------------------------------------------------------------+
  |���BASIC programmers never die, they GOSUB and don't RETURN.   |
  +---------------------------------------------------------------+